package _VisualDVM.ProjectData.SapforData.Variants;
import Common.Database.Tables.DataSet;
import Common.Visual.DataSetControlForm;
import _VisualDVM.ProjectData.SapforData.Variants.UI.ParallelVariantsForm;

import javax.swing.*;
public class ParallelVariantsSet extends DataSet<String, ParallelVariant> {
    public ParallelVariantsSet() {
        super(String.class, ParallelVariant.class);
    }
    @Override
    public String getPluralDescription() {
        return "варианты";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new ParallelVariantsForm(this, mountPanel);
    }
}
